# ReadWriteLock Class Reference

`#include <_thread.h>`

List of all members.

## Public Member Functions

| ReadWriteLock ()
| ~ReadWriteLock ()
void | LockRead (void)
void | LockWrite (void)
bool | TryLockRead (void)
bool | TryLockWrite (void)
void | UnLockRead (void)
void | UnLockWrite (void)

## Detailed Description

Definition at line 458 of file _thread.h.

## Constructor & Destructor Documentation

ReadWriteLock::ReadWriteLock | ( |  | ) | `[inline]`

Definition at line 462 of file _thread.h.

ReadWriteLock::~ReadWriteLock | ( |  | ) | `[inline]`

Definition at line 463 of file _thread.h.

## Member Function Documentation

void ReadWriteLock::LockRead | ( | void |  | ) | `[inline]`

Definition at line 464 of file _thread.h.

void ReadWriteLock::LockWrite | ( | void |  | ) | `[inline]`

Definition at line 465 of file _thread.h.

bool ReadWriteLock::TryLockRead | ( | void |  | ) | `[inline]`

Definition at line 466 of file _thread.h.

bool ReadWriteLock::TryLockWrite | ( | void |  | ) | `[inline]`

Definition at line 467 of file _thread.h.

void ReadWriteLock::UnLockRead | ( | void |  | ) | `[inline]`

Definition at line 468 of file _thread.h.

void ReadWriteLock::UnLockWrite | ( | void |  | ) | `[inline]`

Definition at line 469 of file _thread.h.

The documentation for this class was generated from the following file:

- _thread.h